Page MenuHomePhabricator

Can't remove broken redirects without "sysopnames" defined
Closed, ResolvedPublicBUG REPORT

Description

I have found issue with detecting sysop rights while trying to delete broken redirects without sysopnames defined in config file on Jak Wytresować Smoka Wiki (Fandom).

My environment

  • Windows 10 Pro
  • Python 3.8.1
  • Pywikibot git cloned from GitHub repo as of December 26, 2019

Config

# -*- coding: utf-8  -*-
family = 'jws'
mylang = 'pl'

password_file = 'user-password.py'
usernames['jws']['pl'] = u'RailBot'

console_encoding = 'utf-8'

Reproduction

  • Use config above for family file called jws_family.py generated automatically for https://jakwytresowacsmoka.fandom.com/ (MW 1.19.24)
  • Sign in using python pwb.py login -sysop to bot account with sysop permissions
  • Run python pwb.py redirect broken -delete -always
  • Bot is reading pages from special page but escaping all of them
  • Add sysopnames['jws']['pl'] = u'RailBot' to user-config.py
  • python pwb.py login -logout and log in again
  • Get warning message about deprecated sysopnames use
  • Run redirect.py again as stated in 3rd point
  • Everything works fine; bot is deleting broken redirects

I don't know if it's really an issue with software rather than with my configuration but if warning message encourages me to avoid using sysopnames I shouldn't be forced to use it in order to run script at all.

Event Timeline

Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJan 4 2020, 12:58 PM
Xqt triaged this task as High priority.Jan 4 2020, 6:25 PM
Xqt added a project: Regression.
Xqt added a subscriber: Huji.
Xqt changed the subtype of this task from "Task" to "Bug Report".Jan 4 2020, 6:43 PM
Railfail536 updated the task description. (Show Details)Jan 4 2020, 7:40 PM

Change 562014 had a related patch set uploaded (by Huji; owner: Huji):
[pywikibot/core@master] Check user's right, not group, for delete operation

https://gerrit.wikimedia.org/r/562014

Change 562014 merged by jenkins-bot:
[pywikibot/core@master] Check user's right, not group, for delete operation

https://gerrit.wikimedia.org/r/562014

Huji closed this task as Resolved.Jan 5 2020, 2:53 AM
Huji claimed this task.
Huji removed a project: Patch-For-Review.